I have written a java code in my local machine ecl...

Discussion in 'Big Data and Analytics' started by Mokshda Singh, Aug 2, 2018.

  1. Mokshda Singh

    Mokshda Singh Member

    Joined:
    Jul 8, 2018
    Messages:
    2
    Likes Received:
    0
    I have written a java code in my local machine eclipse, prepare a jar file and run that jar file through cloudlab web console. Everytime I am running its showing mw following error:

    Exception in thread "main" java.lang.UnsupportedClassVersionError: org/example/hadoop1/HdfsReader11 has been compiled by a more recent version of the Java Runtime (class fi
    le version 53.0), this version of the Java Runtime only recognizes class file versions up to 52.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:763)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:467)
    at java.net.URLClassLoader.access$100(URLClassLoader.java:73)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:368)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:362)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:361)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
    at java.lang.Class.forName0(Native Method)
    at java.lang.Class.forName(Class.java:348)
    at org.apache.hadoop.util.RunJar.run(RunJar.java:214)

    Could you please assist which java version should I install on my local machine to run the program successfully in cloudlab as from the error i can figure out there is some version miss match
     
    #1
  2. Shalini Rana

    Shalini Rana Well-Known Member
    Simplilearn Support

    Joined:
    Jul 24, 2017
    Messages:
    271
    Likes Received:
    14
    Hi Learner,

    Can you please share the command that you are using on console to executed the Map Reduce program. This would help us to understand the issue better.

    Thanks!
     
    #2
  3. Mokshda Singh

    Mokshda Singh Member

    Joined:
    Jul 8, 2018
    Messages:
    2
    Likes Received:
    0
    Hi I am able to solve the issue on my own by choosing different version of JDK. Thanks
     
    #3
  4. Shalini Rana

    Shalini Rana Well-Known Member
    Simplilearn Support

    Joined:
    Jul 24, 2017
    Messages:
    271
    Likes Received:
    14
    Oh! That's great to hear that.
     
    #4

Share This Page